Ubuntu - Non supporté

Bonjour à tous,

Je l’avais expliqué dans ma présentation, j’avais un problème avec la clé Zigate et pour l’instant avec :

  1. mise à jour du firmware
  2. éloignement de la clé zigate de l’orangepi
  3. suppression des équipements - redémarrage - réinstallation des équipements - redémarrage
    …pour l’instant, ca tient bon :slight_smile:

Mais j’ai une question…
Je suis pour l’instant sur de l’ubuntu et HASSIO me dit que ma version est non supporté :
image

Même si tout fonctionne correctement, je sais que la mise à jour par OTA de HA ne fonctionnera pas et j’ai pu voir que HACS, même si je pouvais l’installer, n’est pas non plus compatible.

Est ce que j’ai intérêt à changer ma version de linux pour passer sur une Débian ? (si il en existe une pour orangePI)
Est ce que Ubuntu sera un jour supporté par HA?

Merci pour vos retours :slight_smile:
Cédric

Ca semble très peu probable…

Il faut que ce soit une « vraie » debian et pas un armbian par exemple. Sinon tu auras le même message.

Après deux approches:

  • tant que ça marche, le message, on l’ignore
  • on cherche à corriger, car, on ne sait jamais si au dela du simple warning, ça ne cache pas un truc plus gênant.

Pour un hobby, comme HA, ignorer ne me parait pas choquant. Par contre, est-ce que dans 6 mois, 1 an… cela pourrait être un vrai problème, ça on ne sait pas.

il semblerait qu’il existe une pure Debian pour OrangePi3 :
image

il est vrai que je n’avais installé que des Armbian…je ne suis pas très fort en linux :wink:

Si je fais une sauvegarde totale de mon HA, je peux tout récupérer en la réimportant?

Dans ce cas là, ignore le warning. Tu te reposeras la question ou ce sera vraiment annoncé que dans 1 ou 2 release Ubuntu c’est mort.

Oui. Avec le snapshot en téléchargeant sur ton PC. Bien vérifier que le snapshot est complet avant!

1 J'aime

Etant donné que je n’aime pas me dire que ma version aurait peut être buggé ou mal géré par la suite, j’ai tout refais avec une pure Debian :
image

image
image

cette fois ci je vois bien que ma version est bien prise en compte, mais lorsque je suis parti dans la journal, j’ai trouvé ceci :

21-02-04 09:47:26 WARNING (MainThread) [supervisor.dbus.rauc] Host has no rauc support. OTA updates have been disabled
je ne sais pas si j’étais encore dans la phase d’installer des containers…

et dans la journal du CORE, j’ai trouvé ça :

on dirait que ça parle du fichier log mais je préfère demander!

thx :slight_smile:

j’ai un debut de reponse sur le github :

c’est possible de m’en dire plus? il est dit que ca marche que sur HassOS…et c’est quoi la différence avec le mien? :thinking:

Non, je ne sais pas. Ce que c’est que « raud ».

Ca je sais !
Home Assistant OS (qui est le nouveau nom de HassOS) c’est un système d’exploitation complet avec Home Assistant déjà installé.
Dans ton cas, tu as installé Home Assistant Supervised sur un autre OS (Debian).

Si on compare à une voiture, quand tu es assis au volant que ta voiture soit diesel ou essence, ça ne se voit pas. Par contre quand tu veux regarder le moteur, ce n’est pas pareil.
Home Assistant OS ce n’est donc pas le même moteur que ce que tu as fait.
Mais, bon, à la fin ça roule :slight_smile:

Et pour le problème de « FileNotFoundError » au dessus c’est au premier lancement? C’est peut-être normal, je ne sais pas. Si tu redémarres après avoir créé le user, ça va mieux?

1 J'aime

effectivement, j’ai redémarré HA et je n’ai pas de messages d’erreurs…je vais continuer à vérifier ça car j’ai horreur d’une installation neuve et avoir des messages d’erreurs, je préfère les gérer de suite!
donc maintenant je comprends pourquoi je n’ai pas les updates d’HA en OTA c’est parce que je ne suis pas en HA OS…

merci @golfvert :+1: